REST API

Sollection API categories: AI-safe action endpoints, internal wallet endpoints, merchant/account endpoints, and payment endpoints.

Sollection exposes separate API categories. Do not use merchant endpoints as generic AI actions unless your product explicitly supplies a merchant API key and verified recipient IDs.

AI-safe action endpoints

  • createInvoiceIntent: POST /api/v1/invoice-intents
  • getInvoiceIntent: GET /api/v1/invoice-intents/:intentId
  • getInvoiceStatus: GET /api/v1/invoices/:invoiceId

Internal browser wallet endpoints

  • GET /api/v1/invoice-intents/:intentId/confirm-wallet: returns the signing challenge.
  • POST /api/v1/invoice-intents/:intentId/confirm-wallet: used by Sollection's signing page to submit public key and signature.

Merchant/account endpoints

  • GET /api/v1/me, /tokens, /recipients, /customers
  • POST /api/v1/invoices/preview, POST /api/v1/invoices, GET /api/v1/invoices
  • POST /api/v1/payment-links is legacy/account-only and immediately payable.

Payment endpoints

  • GET /pay/:payAccessToken: human payment page.
  • POST /api/pay/:payAccessToken: Solana Pay transaction request.
  • GET /api/x402/pay/:payAccessToken: x402 discover and settle.